%define version 0.0.14.1
%define release %mkrel 6

%define lib_major 6
%define libname %mklibname ggzdmod %{lib_major}
%define libname_basic libggzdmod

%define enable_mysql 0
%{?_with_mysql: %global enable_mysql 1}

%define enable_pgsql 0
%{?_with_pgsql: %global enable_pgsql 1}

Name:		ggz-server
Summary:	Server software for the GGZ Gaming Zone
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
Source:		%name-%version.tar.bz2
Patch0:		ggz-server-gcc43.diff
Patch1:		ggz-server-linkage_fix.diff
Patch2:		ggz_server_inotify.patch
Patch3:		ggz-server_wformat.patch
Patch4:		ggz-server-0.0.14.1-cstdio.patch
URL:		http://www.ggzgamingzone.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libggz-devel = %{version}
BuildRequires:	popt-devel autoconf
BuildRequires:	expat-devel
%if %enable_mysql
BuildRequires:	mysql-devel
%else
%if %enable_pgsql
BuildRequires:	postgresql-devel
%else
BuildRequires:	db4-devel
%endif
%endif
Requires:	libggz = %{version}
Requires:	%{libname} = %{version}

%description
The GGZ Gaming Zone server allows other computers to connect to yours via
the Internet and play network games.  Currently, the following game servers
are packaged with GGZ:
  - Spades		- Connect the Dots
  - Tic-Tac-Toe		- La Pocha
  - Chinese Checkers	- Chess
  - Combat		- Hastings
  - Krosswater		- Reversi
  - GGZ Cards		- Escape
  - Keepalive		- Muehle

# Main package
%package -n	%{libname}
Summary:	GGZ server libraries
Group:		System/Libraries
Provides:	%{libname_basic} = %{version}

%description -n	%{libname}
The GGZ Gaming Zone server allows other computers to connect to yours via
the Internet and play network games.  Currently, the following game servers
are packaged with GGZ:
  - Spades		- Connect the Dots
  - Tic-Tac-Toe		- La Pocha
  - Chinese Checkers	- Chess
  - Combat		- Hastings
  - Krosswater		- Reversi
  - GGZ Cards		- Escape
  - Keepalive		- Muehle

This package provides the libraries needed to run the server.

# Devel package
%package	devel
Summary:	GGZ server development libraries
Group:		Development/C
Provides:	%{libname_basic}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%libname = %{version}

%description	devel
The GGZ Gaming Zone server allows other computers to connect to yours via
the Internet and play network games.  Currently, the following game servers
are packaged with GGZ:
  - Spades		- Connect the Dots
  - Tic-Tac-Toe		- La Pocha
  - Chinese Checkers	- Chess
  - Combat		- Hastings
  - Krosswater		- Reversi
  - GGZ Cards		- Escape
  - Keepalive		- Muehle

This package provides all development related files necessary for you to
develop or compile any extra games which supports GGZ gaming server.

%prep
%if %enable_mysql && %enable_pgsql
echo "\"--with mysql\" and \"--with pgsql\" can't be used together."
exit 1
%endif

%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1

autoreconf -fis

%build
%serverbuild
%configure \
	--with-libggz-libraries=%{_libdir} \
%if %enable_mysql
	--with-database=mysql
%else
%if %enable_pgsql
	--with-database=pgsql
%else
	--with-database=db4
%endif
%endif
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README README.GGZ TODO

%config(noreplace) /etc/ggzd
%{_bindir}/*
%{_libdir}/ggzd
%{_datadir}/ggz/ggzd
%{_mandir}/man?/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libggzdmod.so.%{lib_major}
%{_libdir}/libggzdmod.so.%{lib_major}.*
%{_libdir}/libggzdmod++.so.*

%files devel
%defattr(-,root,root)
%doc ChangeLog
%{_includedir}/*
%{_libdir}/libggzdmod++.a
%{_libdir}/libggzdmod++.la
%{_libdir}/libggzdmod.a
%{_libdir}/libggzdmod.la
%{_libdir}/libggzdmod++.so
%{_libdir}/libggzdmod.so





%changelog
* Thu Sep 24 2009 Olivier Blin <oblin@mandriva.com> 0.0.14.1-6mdv2010.0
+ Revision: 448434
- fix build by including cstdio for EOF declaration
- fix some wformat errors (from Arnaud Patard)
- fix inotify stuff with patch from upstream (from Arnaud Patard)

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.14.1-5mdv2009.0
+ Revision: 234881
- added a gc43 fix (P0)
- added a linkage fix (P1)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Mar 23 2008 Emmanuel Andry <eandry@mandriva.org> 0.0.14.1-3mdv2008.1
+ Revision: 189604
- Fix lib group

* Sun Mar 23 2008 Emmanuel Andry <eandry@mandriva.org> 0.0.14.1-2mdv2008.1
+ Revision: 189602
- Fix devel group

* Tue Feb 26 2008 Emmanuel Andry <eandry@mandriva.org> 0.0.14.1-1mdv2008.1
+ Revision: 175531
- New version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 27 2007 Oden Eriksson <oeriksson@mandriva.com> 0.0.14-5mdv2008.1
+ Revision: 138207
- rebuilt against bdb 4.6.x libs

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 16 2007 Emmanuel Andry <eandry@mandriva.org> 0.0.14-4mdv2008.0
+ Revision: 52713
- fix devel package
- use %%serverbuild macro


* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 0.0.14-3mdv2007.1
+ Revision: 131941
- rebuild with db4.5

* Wed Feb 28 2007 Emmanuel Andry <eandry@mandriva.org> 0.0.14-2mdv2007.1
+ Revision: 130240
- fix devel package

* Sat Feb 10 2007 Emmanuel Andry <eandry@mandriva.org> 0.0.14-1mdv2007.1
+ Revision: 118737
- New version 0.0.14
- New major 6
- Import ggz-server

* Sun Sep 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.13-2mdv2007.0
- fix build on x86_64

* Mon May 22 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.13-1mdk
- New version
- mkrel
- drop patch

* Sat Jan 15 2005 Abel Cheung <deaddog@mandrake.org> 0.0.9-1mdk
- New version

